<template>
  <el-dialog
    :visible.sync="dialogVisible"
    :modal-append-to-body="false"
    :close-on-click-modal="false"
    width="50%"
    :before-close="handleClose"
  >
    <el-row>
      <el-col :span="24">
        <el-form ref="dataForm" :model="dataForm"  :rules="rules" label-position="left" label-width="80px" style="padding-right: 50px" element-loading-text="保存中...">
          <el-row >
            <el-col :span="12">
              <el-form-item label="姓名:" >
                {{dataForm.idCard}}
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item label="身份证号:" prop="idCard" class="ml10">
                {{dataForm.idCard}}
              </el-form-item>
            </el-col>
          </el-row>
          <el-row >
            <el-col :span="12">
              <el-form-item label="性别:" prop="idCard">
                {{dataForm.idCard}}
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item label="考试科目:" prop="idCard" class="ml10">
                {{dataForm.idCard}}
              </el-form-item>
            </el-col>
          </el-row>
          <el-form-item label="人脸确定时间:" prop="iCCard" label-width="120px">
            {{dataForm.idCard}}
          </el-form-item>
        </el-form>
        <span class="title">视频抓拍:</span>
        <div class="pics">
          <div v-for="(item, index) in images" :key="index">
            <img :src="item.url" />
          </div>
        </div>
        <span class="title">异常行为分析抓拍:</span>
        <div class="pics">
          <div v-for="(item, index) in images" :key="index">
            <img :src="item.url" />
          </div>
        </div>
      </el-col>
    </el-row>

    <span slot="footer" class="dialog-footer">
      <el-button @click="handleClose">取 消</el-button>
      <el-button type="primary" @click="onSubmit">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script >
export default {
  name: 'addUser',
  components: {
  },
  data() {
    return {
      dialogVisible: false,
      dialogStatus: '',
      rules: {
        name: [{ required: true, message: '身份证号', trigger: 'blur' }],
      },
      dataForm: {
      },
      images: [
      ]
    }
  },
  created() {

  },
  methods: {
    openDialog (type, data) {
      this.resetDataForm();
      this.dialogVisible = true;
      this.dialogStatus = type;
      this.$nextTick(() => {
        this.$refs['dataForm'].clearValidate()
      })
    },
    handleClose() {
      this.dialogVisible = false;
      this.$emit("getList");
    },
    onSubmit() {
      this.$emit("getList");
      this.dialogVisible = false;
    },
    resetDataForm() {
      this.dataForm = {
      }
    },
  }
}

</script>
<style scoped>
.title{
  font-size: 15px;
  font-weight: 600;
}
.pics{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 10px;
}
img{
  width: 200px;
  height: 200px;
}
</style>
